Last Comment Bug 596504 - DOM attribute for the group node needed which references the undo button
: DOM attribute for the group node needed which references the undo button
Status: VERIFIED FIXED
[mozmill]
:
Product: Firefox Graveyard
Classification: Graveyard
Component: Panorama (show other bugs)
: Trunk
: All All
: P4 normal
: Firefox 9
Assigned To: Raymond Lee [:raymondlee]
:
Mentors:
Depends on: 596450
Blocks: 596264 686895
  Show dependency treegraph
 
Reported: 2010-09-15 00:30 PDT by Henrik Skupin (:whimboo)
Modified: 2016-04-12 14:00 PDT (History)
7 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
v1 (885 bytes, patch)
2011-09-12 00:52 PDT, Raymond Lee [:raymondlee]
dietrich: review+
Details | Diff | Review
Patch for checkin (2.38 KB, patch)
2011-09-15 00:46 PDT, Raymond Lee [:raymondlee]
no flags Details | Diff | Review

Description Henrik Skupin (:whimboo) 2010-09-15 00:30:21 PDT
+++ This bug was initially created as a clone of Bug #596450 +++

Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:2.0b6pre) Gecko/20100913 Firefox/4.0b6pre

When you create a set of tab groups and close multiple of those, several undo buttons appear. At the moment there is no reference added to the DOM node of the tab group which undo button corresponds to it. Given that it is not possible for Mozmill to determine the correct button.

Similar to bug 596450 we would need a DOM or JS property as reference on all hidden tab groups to identify the undo button.
Comment 1 Aza Raskin [:aza] 2010-10-12 14:29:59 PDT
Punting to the future, unless Henrik can get to it.
Comment 2 Raymond Lee [:raymondlee] 2011-09-12 00:52:07 PDT
Created attachment 559832 [details] [diff] [review]
v1

Taking the same approach in the patch in bug 596450. Adding a DOM attribute (data-group) to undo button containers.
Comment 3 Dietrich Ayala (:dietrich) 2011-09-12 01:06:11 PDT
Comment on attachment 559832 [details] [diff] [review]
v1

Review of attachment 559832 [details] [diff] [review]:
-----------------------------------------------------------------

i'd prefer data-group-id, which is more specific. r=me with that change!
Comment 4 Raymond Lee [:raymondlee] 2011-09-13 18:56:12 PDT
(In reply to Dietrich Ayala (:dietrich) from comment #3)
> Comment on attachment 559832 [details] [diff] [review]
> v1
> 
> Review of attachment 559832 [details] [diff] [review]:
> -----------------------------------------------------------------
> 
> i'd prefer data-group-id, which is more specific. r=me with that change!

The patch for bug Bug 596450 has been checked into fx-team which is using data-group. 
http://hg.mozilla.org/integration/fx-team/rev/43f1efa4b17d

It would be better to keep them constantly.  I would update that to data-group-id as well, once it's merged into mozilla-central.
Comment 5 Raymond Lee [:raymondlee] 2011-09-15 00:46:28 PDT
Created attachment 560319 [details] [diff] [review]
Patch for checkin

Changed the data-group to data-group-id.

Pushed to try
https://tbpl.mozilla.org/?tree=Try&rev=97a431ff9117
Comment 6 Raymond Lee [:raymondlee] 2011-09-15 18:25:49 PDT
(In reply to Raymond Lee [:raymondlee] from comment #5)
> Pushed to try
> https://tbpl.mozilla.org/?tree=Try&rev=97a431ff9117

Passed try!
Comment 8 :Ehsan Akhgari (busy, don't ask for review please) 2011-09-16 07:32:02 PDT
https://hg.mozilla.org/mozilla-central/rev/8b9202c23f51
Comment 9 Henrik Skupin (:whimboo) 2011-09-19 17:46:31 PDT
Sweet. Looks perfect with Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:9.0a1) Gecko/20110919 Firefox/9.0a1. Thanks guys!

Note You need to log in before you can comment on or make changes to this bug.